package com.ss.android.ugc.aweme.legoImp;

import X.C22438Ze;
import X.Lnj;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.legoapi.ISysOptTaskApi;
import com.ss.android.ugc.aweme.legoImp.task.FdSanFatalSwitchTask;
import com.ss.android.ugc.aweme.legoImp.task.HoraeInitTask;
import com.ss.android.ugc.aweme.legoImp.task.NativeBitmapTask;
import com.ss.android.ugc.aweme.legoImp.task.SamangCrashHandleTask;
import com.ss.android.ugc.aweme.legoImp.task.SliverTrackerTask;
import com.ss.android.ugc.aweme.legoImp.task.SysOptimizerTask;
import com.ss.android.ugc.aweme.legoImp.task.allProcessTask.InitGodzilla;

public final class SysOptTaskImpl implements ISysOptTaskApi {
    static {
        Covode.recordClassIndex(90345);
    }

    public final C22438Ze LIZ() {
        return new InitGodzilla();
    }

    public final C22438Ze LIZIZ() {
        return new SysOptimizerTask();
    }

    public final C22438Ze LIZJ() {
        return new SamangCrashHandleTask();
    }

    public final C22438Ze LIZLLL() {
        return new FdSanFatalSwitchTask();
    }

    public final C22438Ze LJ() {
        return new HoraeInitTask();
    }

    public final C22438Ze LJFF() {
        return new NativeBitmapTask();
    }

    public final C22438Ze LJI() {
        return new SliverTrackerTask();
    }

    public static ISysOptTaskApi LJII() {
        MethodCollector.i(3584);
        ISysOptTaskApi iSysOptTaskApi = (ISysOptTaskApi) Lnj.LIZ(ISysOptTaskApi.class, false);
        if (iSysOptTaskApi != null) {
            MethodCollector.o(3584);
            return iSysOptTaskApi;
        }
        Object LIZIZ = Lnj.LIZIZ(ISysOptTaskApi.class, false);
        if (LIZIZ != null) {
            ISysOptTaskApi iSysOptTaskApi2 = (ISysOptTaskApi) LIZIZ;
            MethodCollector.o(3584);
            return iSysOptTaskApi2;
        }
        if (Lnj.LLLZZIL == null) {
            synchronized (ISysOptTaskApi.class) {
                try {
                    if (Lnj.LLLZZIL == null) {
                        Lnj.LLLZZIL = new SysOptTaskImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(3584);
                    throw th;
                }
            }
        }
        SysOptTaskImpl sysOptTaskImpl = (SysOptTaskImpl) Lnj.LLLZZIL;
        MethodCollector.o(3584);
        return sysOptTaskImpl;
    }
}
